/*
+----------------------------------------------------------------+
|   Insight for Dupal 7.x - Version 1.0                          |
|   Copyright (C) 2011 Antsin.com All Rights Reserved.           |
|   @license - Copyrighted Commercial Software                   |
|----------------------------------------------------------------|
|   Theme Name: Insight                                          |
|   Description: Insight by Antsin                               |
|   Author: Antsin.com                                           |
|   Date: 12th November 2011                                     |
|   Website: http://www.antsin.com/                              |
|----------------------------------------------------------------+
|   This file may not be redistributed in whole or               |
|   significant part.                                            |
+----------------------------------------------------------------+
*/ 

(function(jQuery) {
  jQuery().ready(function() {
	jQuery('#coda-slider-1').codaSlider({
      autoSlide: true,
      autoSlideInterval: 4000,
      autoSlideStopWhenClicked: true
    });

    jQuery('#coda-slider-3').codaSlider();

	jQuery('.boxgrid.caption').hover(function(){
      jQuery(".cover", this).stop().animate({top:'0px'},{queue:false,duration:160});
	  }, function() {
	  jQuery(".cover", this).stop().animate({top:'130px'},{queue:false,duration:160});
    });

	jQuery("ul.menu").superfish({ 
      delay: 1000,
      animation: {opacity:'show',height:'show'},
      speed: 'slow',
      autoArrows: false,
      dropShadows: false
    });

	jQuery("ul.mega-menu").superfish({ 
      delay: 1000,
      animation: {opacity:'show',height:'show'},
      speed: 'slow',
      autoArrows: false,
      dropShadows: false
    });

	if (jQuery('#view-multi-column').hasClass('triple-column')) {
	  var jQuerychildren = jQuery('#content-main').find('.vmc-column');
      for(var i = 0, l = jQuerychildren.length; i < l; i += 3) {
        jQuerychildren.slice(i, i+3).wrapAll('<div class="vmc-row clearfix"></div>');
      }
	  jQuery('div.vmc-row:first').addClass('first');
	  jQuery('div.vmc-row:last').addClass('last');
	  jQuery('div.vmc-row>div.vmc-column:nth-child(3)').addClass('last');
	}

	if (jQuery('#view-multi-column').hasClass('double-column')) {
	  var jQuerychildren = jQuery('#content-main').find('.vmc-column');
      for(var i = 0, l = jQuerychildren.length; i < l; i += 2) {
        jQuerychildren.slice(i, i+2).wrapAll('<div class="vmc-row clearfix"></div>');
      }
	  jQuery('div.vmc-row:first').addClass('first');
	  jQuery('div.vmc-row:last').addClass('last');
	  jQuery('div.vmc-row>div.vmc-column:nth-child(2)').addClass('last');
	}

  });

})(jQuery);